#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 with-utf8
version:              1.0.2.2
visibility:           public
id:                   with-utf8-1.0.2.2-8TSZrh0a7Ug2vfBLi1wI9h
key:                  with-utf8-1.0.2.2-8TSZrh0a7Ug2vfBLi1wI9h
license:              MPL-2.0
copyright:            2020 Serokell
maintainer:           Kirill Elagin <kirelagin@serokell.io>
author:               Kirill Elagin <kirelagin@serokell.io>
homepage:             https://github.com/serokell/haskell-with-utf8#readme
synopsis:             Get your IO right on the first try
description:
    This minimalistic library helps you navigate the world of text encodings
    avoiding @invalid argument (invalid byte sequence)@
    and @invalid argument (invalid character)@ in runtime.

    See <https://serokell.io/blog/haskell-with-utf8 this blog post> for why this
    library exists and what exactly it does.

    The two most important modules are:

    * "Main.Utf8"
    * "System.IO.Utf8"

category:             IO
abi:                  8fab80787b6e5c69a7f4d2dbdeec10cc
exposed:              True
exposed-modules:
    Data.Text.IO.Utf8 Data.Text.Lazy.IO.Utf8 Main.Utf8 System.IO.Utf8
    System.IO.Utf8.Internal

hidden-modules:       Paths_with_utf8
import-dirs:          /usr/lib/ghc-8.10.4/site-local/with-utf8-1.0.2.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/with-utf8-1.0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/with-utf8-1.0.2.2
hs-libraries:         HSwith-utf8-1.0.2.2-8TSZrh0a7Ug2vfBLi1wI9h
depends:
    base-4.14.1.0 safe-exceptions-0.1.7.1-8N30hAe6MZwJzbPrk8p7Qg
    text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-with-utf8/html/with-utf8.haddock
haddock-html:         /usr/share/doc/haskell-with-utf8/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

